%define	upstream_name	 IO-Compress-Lzop
%define upstream_version 2.062

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    IO::Compress::Lzop - Write lzop files/buffers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::LZO)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Compress::Base) >= 2.61.0
BuildRequires: perl(IO::Uncompress::Base) >= 2.61.0
BuildArch:  noarch

%description
This module provides a Perl interface that allows writing lzop compressed
data to files or buffer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.62.0-2.mga4
+ Revision: 531950
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 2.62.0-1.mga4
+ Revision: 465972
- update to 2.062

* Mon Jun 10 2013 jquelin <jquelin> 2.61.0-1.mga4
+ Revision: 441607
- update to 2.061

* Sun Jan 13 2013 umeabot <umeabot> 2.58.0-2.mga3
+ Revision: 368477
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 2.58.0-1.mga3
+ Revision: 317913
- update to 2.058

* Mon Sep 17 2012 jquelin <jquelin> 2.55.0-1.mga3
+ Revision: 295349
- update to 2.055

* Tue Jun 05 2012 jquelin <jquelin> 2.52.0-1.mga3
+ Revision: 255030
- update to 2.052

* Tue Mar 06 2012 jquelin <jquelin> 2.49.0-1.mga2
+ Revision: 220124
- update to 2.049

* Mon Dec 05 2011 kharec <kharec> 2.45.0-1.mga2
+ Revision: 177066
- update to 2.045

* Sun Dec 04 2011 kharec <kharec> 2.44.0-1.mga2
+ Revision: 175797
- update to 2.044

* Sat Dec 03 2011 kharec <kharec> 2.43.0-1.mga2
+ Revision: 175697
- update to 2.043

* Sat Nov 19 2011 kharec <kharec> 2.42.0-1.mga2
+ Revision: 169336
- update to 2.042

* Tue Nov 08 2011 jquelin <jquelin> 2.40.0-1.mga2
+ Revision: 165453
- remove MYMETA from %%doc
- update to 2.040

* Wed Jun 22 2011 jquelin <jquelin> 2.37.0-1.mga2
+ Revision: 112418
- update to 2.037

* Fri Jun 17 2011 jquelin <jquelin> 2.35.0-1.mga2
+ Revision: 109058
- update to 2.035

* Thu Feb 17 2011 dmorgan <dmorgan> 2.33.0-1.mga1
+ Revision: 52951
- New version

* Sun Jan 23 2011 jquelin <jquelin> 2.30.0-1.mga1
+ Revision: 33869
- mageia rebuild
- imported package perl-IO-Compress-Lzop


* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 2.30.0-1mdv2011.0
+ Revision: 561932
- update to 2.030

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 2.27.0-1mdv2011.0
+ Revision: 552323
- update to 2.027

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 2.26.0-1mdv2010.1
+ Revision: 536187
- update to 2.026

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 2.25.0-1mdv2010.1
+ Revision: 530264
- update to 2.025

* Mon Jan 11 2010 Jérôme Quelin <jquelin@mandriva.org> 2.24.0-1mdv2010.1
+ Revision: 489504
- update to 2.024

* Tue Nov 10 2009 Jérôme Quelin <jquelin@mandriva.org> 2.23.0-1mdv2010.1
+ Revision: 464137
- update to 2.023

* Thu Sep 10 2009 Jérôme Quelin <jquelin@mandriva.org> 2.21.0-1mdv2010.0
+ Revision: 437231
- update to 2.021

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.020-1mdv2010.0
+ Revision: 383972
- update to new version 2.020

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.019-1mdv2010.0
+ Revision: 371955
- new version

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.015-1mdv2009.0
+ Revision: 281711
- new version

* Thu Jul 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.012-1mdv2009.0
+ Revision: 236719
- update to new version 2.012

* Wed May 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.011-1mdv2009.0
+ Revision: 209684
- update to new version 2.011

* Wed May 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.010-1mdv2009.0
+ Revision: 202822
- new version

* Wed Apr 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.009-1mdv2009.0
+ Revision: 196826
- update to new version 2.009

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.008-1mdv2008.1
+ Revision: 108303
- update to new version 2.008

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.006-1mdv2008.0
+ Revision: 78416
- update to new version 2.006

* Thu Jul 05 2007 Olivier Thauvin <nanardon@mandriva.org> 2.005-1mdv2008.0
+ Revision: 48385
- 2.005


* Mon Mar 05 2007 Olivier Thauvin <nanardon@mandriva.org> 2.004-1mdv2007.0
+ Revision: 132965
- 2.004

* Sun Jan 07 2007 Olivier Thauvin <nanardon@mandriva.org> 2.003-1mdv2007.1
+ Revision: 104993
- first mandriva package
- Create perl-IO-Compress-Lzop

